package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag291;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT291Creator;

/**
 * @author huangmengyuan
 * @create 2023/2/28
 */
public class Tag32BCreator extends AbsTagCreate {
    private MT291Creator mt291Creator;
    public Tag32BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt291Creator = (MT291Creator) absMTCreator;
    }

    @Override
    public void creator() {
        handlerCurAmtCreator(mt291Creator,"currencyCodeAmount");
    }
}
